# Uses of Interface
org.eclipse.mat.parser.internal.oql.ICompiler

Packages that use ICompiler
Package
Description
org.eclipse.mat.parser.internal.oql.compiler
Object Query Language (OQL) compiler (not API).
org.eclipse.mat.parser.internal.oql.parser
Object Query Language (OQL) parser (not API).

## Uses of ICompiler in org.eclipse.mat.parser.internal.oql.compiler

Classes in org.eclipse.mat.parser.internal.oql.compiler that implement ICompiler
Modifier and Type
Class
Description
`class`
`CompilerImpl`

## Uses of ICompiler in org.eclipse.mat.parser.internal.oql.parser

Methods in org.eclipse.mat.parser.internal.oql.parser with parameters of type ICompiler
Modifier and Type
Method
Description
`void`
OQLParser.`setCompiler(ICompiler compiler)`